oracle.dbtools.plugin.api.http.annotations

## Enum HTTPAuthenticationScheme

- java.lang.Object
- - java.lang.Enum<HTTPAuthenticationScheme>
  - - oracle.dbtools.plugin.api.http.annotations.HTTPAuthenticationScheme

- All Implemented Interfaces:
    Serializable, Comparable<HTTPAuthenticationScheme>

      public enum HTTPAuthenticationScheme
      extends Enum<HTTPAuthenticationScheme>

  Describes a specific Authentication Scheme. Ex: Authorization: Basic At the moment there are only two defined ANY and BASIC. But there are several standard Authentication Schemes including BEARER https://tools.ietf.org/html/rfc7235
  Author:
    dooneill

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY` Any Authentication Scheme
    `BASIC` Basic Authentication Scheme

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HTTPAuthenticationScheme` | `value(String text)` Determine the `HTTPAuthenticationScheme` for the specified textual representation
    `static HTTPAuthenticationScheme` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HTTPAuthenticationScheme[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final HTTPAuthenticationScheme ANY

      Any Authentication Scheme

    - #### BASIC

          public static final HTTPAuthenticationScheme BASIC

      Basic Authentication Scheme

  - ### Method Detail

    - #### values

          public static HTTPAuthenticationScheme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HTTPAuthenticationScheme c : HTTPAuthenticationScheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HTTPAuthenticationScheme valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public static HTTPAuthenticationScheme value(String text)

      Determine the `HTTPAuthenticationScheme` for the specified textual representation
      Parameters:
        `text` - The textual representation of the `HTTPAuthenticationScheme`
      Returns:
        `BASIC` if the textual value equals (case insensitive) `BASIC`,null `ANY`

Copyright © 2010, 2022, Oracle and/or its affiliates.